import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { LookupServiceConfig } from "../../core/dto/lookup-service-config";
import { IrrfTaxationService } from "../../core/entities/irrf-taxation/irrf-taxation.service";
import { Filter } from '../../shared/commons/filter-interface';
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class IrrfTaxationLookupService {
    private translate;
    private configService;
    private irrfTaxationService;
    private accumulatorTypeOptions;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, irrfTaxationService: IrrfTaxationService);
    lookupServiceConfig: LookupServiceConfig;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    getFormField(): FormField;
    onIrrfTaxationSearchRequest(event: any): void;
    onIrrfTaxationSearchRequestObservable(event: any, additionalFilter: string, companyIds: string[], isDynamicForm?: boolean): Observable<any>;
    private getFiltersDefaultIrrfTaxation;
    private mapToComponent;
    private getLabelForMaping;
    onIrrfTaxationLookupRequest(value: string): void;
    onIrrfTaxationLookupRequestObservable(value: string, additionalFilter: string, filter?: Filter[]): Observable<any>;
    getIrrfTaxationSearchFields(displayFields?: string[]): FormField[];
}
